Package org.springframework.web.util.pattern

# Class PathPattern.PathMatchInfo

java.lang.Object
org.springframework.web.util.pattern.PathPattern.PathMatchInfo

Enclosing class:
  PathPattern

public static class PathPattern.PathMatchInfo extends Object
Holder for URI variables and path parameters (matrix variables) extracted based on the pattern for a given matched path.

## Method Summary

Modifier and Type
Method
Description
`Map<String,org.springframework.util.MultiValueMap<String,String>>`
`getMatrixVariables()`
Return maps of matrix variables per path segment, keyed off by URI variable name.
`Map<String,String>`
`getUriVariables()`
Return the extracted URI variables.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getUriVariables

public Map<String,String> getUriVariables()
Return the extracted URI variables.

### getMatrixVariables

public Map<String,org.springframework.util.MultiValueMap<String,String>> getMatrixVariables()
Return maps of matrix variables per path segment, keyed off by URI variable name.

### toString

public String toString()

Overrides:
  `toString` in class `Object`